
Infrastructure - Task #1685

Story # 975 (Closed): Refactor to support synchronization across multiple MNs

Filter out already created objects from replicated MNs

2011-07-19 18:44 - Robert Waltz

Status: Closed Start date: 2011-07-19

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_synchronization Estimated time: 0.00 hour

Target version: Sprint-2011.37-Block.5   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

There is  need to filter out object's synchronized from replicated nodes.  The objects will be retrieved due to the lastupdatedate in the

systemMetadata being changed during replication.  Two membernodes will report changes to the same object.  Only one

membernode should report as the definitive copy.

Search should be able to create a filter of all the objects that are not owned by the membernode being synchronized.

TransferObjectTask will perform a checksum comparison for any object received during synchronization. If the checksum of an object

equals to an object already on a CN, then the object's systemmetadata may be updated.  If the MN from which the object is sync'ed

is not the AuthoritativeMemberNode and the MN is not already in the replicaList, then the replicaList is updated.

History

#1 - 2011-08-16 17:25 - Robert Waltz

- Milestone changed from CCI-0.6.2 to CCI-0.6.4

#2 - 2011-09-28 18:57 - Robert Waltz

- Status changed from New to Closed
